import Login2 from '../views/User/Login'
import FindPassword from '../views/User/FindPassword';
import CompanyReg from '../views/User/CompanyReg';
import { createFromIconfontCN } from "@ant-design/icons";
import React, { lazy, Suspense } from 'react'
import Home from '../views/Home/home';

const MyGarden = lazy(() => import('../views/Garden/myGarden'))
const Approved_Garden = lazy(() => import("../views/Garden/approved"))
const CreateGarden = lazy(() => import('../views/Garden/create'))
const CompanyInfo = lazy(() => import('../views/Settings/info'))
const EditPassword = lazy(() => import('../views/Settings/editPassword'))
const EditGarden = lazy(() => import("../views/Garden/edit"))

//服务套餐--套餐
const PackageList = lazy(() => import("../views/Package/package"))
//服务套餐--已购套餐
const BuyPackage = lazy(() => import("../views/Package/buypackage"))
//服务套餐--已购套餐--购买
const Order = lazy(() => import("../views/Package/order"))

//功能应用--应用
const Application = lazy(() => import("../views/Application/application"))
//功能应用--预览
const Preview = lazy(() => import("../views/Application/preview"))

//账号管理--账号
const Account = lazy(() => import("../views/Account/account"))

//缴费管理--微信商户申请记录
const Wx_Account = lazy(()=>import("../views/Charge/wx_account"))
//缴费管理--添加微信商户
const Add_WX_account = lazy(()=>import("../views/Charge/add_wx_account"))
//缴费管理--微信商户详情
const Detail_WX_account = lazy(()=>import("../views/Charge/detail_wx_account"))
//小区管理--关键信息
const KeyInfo = lazy(()=>import("../views/Garden/keyinfo"))

export const BreadcrumbNameMap: any = {
  "/admin/home": "系统首页",
  "/admin/charge":"缴费管理",
  "/admin/charge/wx_account":"微信商户",
  "/admin/charge/wx_account/add":"添加",
  "/admin/charge/wx_account/detail":"详情",
  "/admin/garden": "小区管理",
  "/admin/garden/mygarden": "我的小区",
  "/admin/garden/approve_garden": "待审批小区",
  "/admin/garden/key_info":"小区关键信息",
  "/admin/garden/create": "新建小区",
  "/admin/garden/edit": "修改小区",
  "/admin/package": "服务套餐",
  "/admin/package/package": "服务套餐",
  "/admin/package/package/buy": "服务套餐",
  "/admin/package/buypackage": "已购套餐",
  "/admin/application": "功能应用",
  "/admin/application/application": "应用",
  "/admin/adhibition/adhibition/preview": "预览",
  "/admin/account": "账号管理",
  "/admin/account/account": "账号",
  "/admin/setting": "系统设置",
  "/admin/setting/info": "企业信息",
  "/admin/setting/log": "日志",
  "/admin/setting/password": "修改密码"
};

const Wrapper = (Component) => (props) => {
  return (
    <Suspense fallback={''}>
      <Component />
    </Suspense>
  )
}
const IconFont = createFromIconfontCN({
  scriptUrl: ["//at.alicdn.com/t/font_3286328_6ted846nzcn.js"]
});
export const routes: any = [
  {
    title: "首页",
    path: "/admin/home",
    component: Home,
    icon: <IconFont type="icon-shouye" />
  },
  {
    title: "缴费管理",
    path: "/admin/charge",
    icon: <IconFont type="icon-loupanguanli" />,
    children:[
      {
        title:"微信商户",
        path:"/admin/charge/wx_account",
        exact:true,
        component:Wrapper(Wx_Account)
      },
      {
        title:"添加微信商户",
        path:"/admin/charge/wx_account/add",
        exact:true,
        hideInMenu: true,
        component:Wrapper(Add_WX_account)
      },
      {
        title:"微信商户详情",
        path:"/admin/charge/wx_account/detail",
        exact:true,
        hideInMenu: true,
        component:Wrapper(Detail_WX_account)
      },
    ]
  },
  {
    title: '小区管理',
    path: '/admin/garden',
    exact: true,
    icon: <IconFont type="icon-loupanguanli" />,
    children: [
      {
        title: '创建小区',
        path: '/admin/garden/create',
        exact: true,
        component: Wrapper(CreateGarden),
        hideInMenu: true
      }, {
        title: "修改小区",
        path: "/admin/garden/edit",
        exact: true,
        component: Wrapper(EditGarden),
        hideInMenu: true
      },
      {
        title: "我的小区",
        path: "/admin/garden/mygarden",
        component: Wrapper(MyGarden),
        exact: true,
      },
      {
        title: "待审批小区",
        path: "/admin/garden/approve_garden",
        component: Wrapper(Approved_Garden),
        exact: true,
      },
      // {
      //   title:"小区关键信息",
      //   path:"/admin/garden/key_info",
      //   component:Wrapper(KeyInfo),
      //   exact: true,
      // }
    ]
  },
  {
    title: "服务套餐",
    path: "/admin/package",
    exact: true,
    icon: <IconFont type="icon-fuwu" />,
    children: [
      {
        title: '服务套餐',
        path: '/admin/package/package',
        exact: true,
        component: Wrapper(PackageList)
      },
      {
        title: '购买',
        path: '/admin/package/package/buy',
        exact: true,
        hideInMenu: true,
        component: Wrapper(Order)
      },
      {
        title: '已购套餐',
        path: '/admin/package/buypackage',
        exact: true,
        component: Wrapper(BuyPackage)
      },
    ]
  },
  {
    title: "功能应用",
    path: "/admin/application",
    exact: true,
    icon: <IconFont type="icon-yingyong" />,
    children: [
      {
        title: "应用",
        path: "/admin/application/application",
        exact: true,
        component: Wrapper(Application)
      },
      {
        title: "预览",
        path: "/admin/adhibition/adhibition/preview",
        exact: true,
        hideInMenu: true,
        component: Wrapper(Preview)
      }
    ]
  },
  {
    title: "账号管理",
    path: "/admin/account",
    exact: true,
    icon: <IconFont type="icon-xitongguanli-zhanghaoguanli" />,
    children: [
      {
        title: "账号",
        path: "/admin/account/account",
        exact: true,
        component: Wrapper(Account)
      }
    ]
  },
  {
    title: '系统设置',
    path: '/admin/setting',
    exact: true,
    icon: <IconFont type="icon-xitongshezhi" />,
    children: [
      {
        title: '企业信息',
        path: '/admin/setting/info',
        exact: true,
        component: Wrapper(CompanyInfo)
      },
      {
        title: "修改密码",
        path: "/admin/setting/password",
        exact: true,
        hideInMenu: true,
        component: Wrapper(EditPassword)
      }
    ]
  }
]

export const staticRoutes = [
  {
    title: '登录',
    path: '/login',
    component: Login2
  },
  {
    title: '找回密码',
    path: '/find/password',
    component: FindPassword
  },
  {
    title: "企业注册",
    path: "/company/register",
    component: CompanyReg
  }
]
