import * as React from 'react'
import { BrowserRouter, Switch, Route, Redirect } from 'react-router-dom'
import AdminLayout from '../layout/index'
import { staticRoutes } from './config'
import Login from '../views/User/Login'
import { isLogined } from '../utils/auth'

const router: React.FC = () => {
  return isLogined() ? <BrowserRouter>
    <Switch>
      <Route path='/admin' component={AdminLayout} />
      {
        staticRoutes.map(route => {
          return (
            <Route path={route.path} component={route.component} key={route.path} />
          )
        })
      }
      <Redirect from='/*' to='/admin/home' />
    </Switch>
  </BrowserRouter> :
    <BrowserRouter>
      <Switch>
        <Route path='/login' component={Login} />
        <Redirect from='/*' to='/login' />
      </Switch>
    </BrowserRouter>
}

export default router