import React, { useEffect, useState } from "react";
import { ApplicationList } from "../../services/application";
import { Image } from "antd";
import "./application.scss"
import { Link } from "react-router-dom";

const Application = () => {
    const [list, setList]: any = useState({
        data: []
    })
    useEffect(() => {
        getList()
    }, [])
    const getList = async () => {
        const { data } = await ApplicationList();
        setList(pre => ({ ...pre, data }))
    }
    return (<>
        <div className="application_main">
            {list.data.map(item => {
                return <Link to={{ pathname: "/admin/adhibition/adhibition/preview", state: item }}
                    key={item.id} className="application_content">
                    <Image src={item.icon} style={{ height: "50px", width: "50px" }} />
                    <div className="application_desc">
                        <div style={{fontSize:"18px",fontWeight:"bolder",width:"9rem"}}>{item.name}</div>
                        <div className="application_desc_content">{item.desc}</div>
                    </div>
                </Link>
            })}
        </div>
    </>)
}

export default Application