import { Card, Form, Row, Button, Col, Select, Input, message } from "antd";
import React, { useEffect, useState } from "react";
import { useHistory } from "react-router";
import UploadFile from "../../utils/uploadFile";
import { GetTemplate, Cwx_account, GetWx_account_info } from "../../services/charge";
import { checkID } from "../../utils/checkId";

const Add_WX_account = (props) => {
    useEffect(() => {
        if (props.id) {
            const { id } = props;
            GetWx_account_info({ id }).then(res => {
                form.setFieldsValue(res.data);
                const { contact_info: { contact_type } } = res.data;
                if (contact_type == "SUPER") {
                    setSuper_type("SUPER")
                }
                const { contact_info: {
                    business_authorization_letter_url,
                    contact_id_doc_copy_url,
                    contact_id_doc_copy_back_url
                } } = res.data;
                const { subject_info: { business_license_info: {
                    license_copy_url
                } } } = res.data;
                const { subject_info: { identity_info: { id_doc_info: {
                    id_doc_copy_url, id_doc_copy_back_url, 
                } } } } = res.data;
                    const { subject_info: { ubo_infos } } = res.data;
                setBusiness_pic([business_authorization_letter_url]);
                setId_pic(contact_id_doc_copy_url);
                setId_back_pic([contact_id_doc_copy_back_url]);
                setLicense_pic([license_copy_url]);
                setId_doc_pic([id_doc_copy_url]);
                setId_doc_back_pic([id_doc_copy_back_url]);
                let pic = ubo_infos?.map(item => {
                    return item.id_doc_copy_url
                })
                let pic_back = ubo_infos?.map(item => {
                    return item.id_doc_copy_back_url
                })
                let pic0 = [pic[0]];
                let pic1 = [pic[1]];
                let pic2 = [pic[2]];
                let pic3 = [pic[3]];
                let pic_back0 = [pic_back[0]];
                let pic_back1 = [pic_back[1]];
                let pic_back2 = [pic_back[2]];
                let pic_back3 = [pic_back[3]];
                setId_doc_picArr([pic0, pic1, pic2, pic3]);
                setId_doc_pic_backArr([pic_back0, pic_back1, pic_back2, pic_back3]);
            })
        }
    }, [])
    const history = useHistory();
    const [form] = Form.useForm();
    const [super_type, setSuper_type] = useState("LEGAL");
    const [owner, setOwner] = useState(false);
    const [id_doc_type, setId_doc_type] = useState("IDENTIFICATION_TYPE_IDCARD");
    const [business_pic, setBusiness_pic]: any = useState([]);
    const [id_pic, setId_pic]: any = useState([]);
    const [id_back_pic, setId_back_pic]: any = useState([]);
    const [id_doc_pic, setId_doc_pic]: any = useState([]);
    const [id_doc_picArr, setId_doc_picArr]: any = useState([
        [], [], [], []
    ]);
    const [id_doc_pic_backArr, setId_doc_pic_backArr]: any = useState([
        [], [], [], []
    ]);
    const [id_doc_back_pic, setId_doc_back_pic]: any = useState([]);
    const [license_pic, setLicense_pic]: any = useState([]);
    const [ubo_infosNum, setUbo_infosNum] = useState(2);
    let addForm: any;
    const contact_type = [
        { label: "法人", value: "LEGAL" },
        { label: "经办人", value: "SUPER" }
    ]
    const contact_id_doc_type = [
        { label: "中国大陆居民-身份证", value: "IDENTIFICATION_TYPE_IDCARD" },
        { label: "其他国家或地区居民-护照", value: "IDENTIFICATION_TYPE_OVERSEA_PASSPORT" },
        { label: "中国香港居民-来往内地通行证", value: "IDENTIFICATION_TYPE_HONGKONG_PASSPORT" },
        { label: "中国澳门居民-来往内地通行证", value: "IDENTIFICATION_TYPE_MACAO_PASSPORT" },
        { label: "中国台湾居民-来往大陆通行证", value: "IDENTIFICATION_TYPE_TAIWAN_PASSPORT" },
    ]
    const subject_type = [
        { label: "SUBJECT_TYPE_ENTERPRISE", value: "SUBJECT_TYPE_ENTERPRISE" }
    ]
    const BankSelect = [
        { label: "工商银行", value: "工商银行" },
        { label: "交通银行", value: "交通银行" },
        { label: "招商银行", value: "招商银行" },
        { label: "民生银行", value: "民生银行" },
        { label: "中信银行", value: "中信银行" },
        { label: "浦发银行", value: "浦发银行" },
        { label: "兴业银行", value: "兴业银行" },
        { label: "光大银行", value: "光大银行" },
        { label: "广发银行", value: "广发银行" },
        { label: "平安银行", value: "平安银行" },
        { label: "北京银行", value: "北京银行" },
        { label: "华夏银行", value: "华夏银行" },
        { label: "农业银行", value: "农业银行" },
        { label: "建设银行", value: "建设银行" },
        { label: "邮政储蓄银行", value: "邮政储蓄银行" },
        { label: "中国银行", value: "中国银行" },
        { label: "宁波银行", value: "宁波银行" },
        { label: "其他银行", value: "其他银行" },
    ]
    const owner_type = [
        { label: "是", value: true },
        { label: "否", value: false },
    ]
    const onSubmit = () => {
        form.validateFields().then(async (values) => {
            console.log(values);
            const { subject_info: { ubo_infos } } = values;
            const { data } = await Cwx_account({
                method: "post",
                ...values
            })
            message.success("提交成功");
            history.goBack();
        })
    }
    const setForm = (val, val1, val2) => {
        if (val.length > 0) {
            const [{ Url, MediaId }] = val;
            form.setFieldsValue({ [val1[0]]: { [val1[1]]: MediaId, [val2[1]]: Url } })
        } else {
            form.setFieldsValue({ [val1[0]]: { [val1[1]]: "", [val2[1]]: "" } })
        }
    }
    const setForm2 = (val, val1, val2) => {
        if (val.length > 0) {
            const [{ Url, MediaId }] = val;
            form.setFieldsValue({
                [val1[0]]: { [val1[1]]: { [val1[2]]: MediaId, [val2[2]]: Url } }
            })
        } else {
            form.setFieldsValue({
                [val1[0]]: { [val1[1]]: { [val1[2]]: "", [val2[2]]: "" } }
            })
        }
    }
    const setId_docForm = (val, val1, val2) => {
        if (val.length > 0) {
            const [{ Url, MediaId }] = val;
            form.setFieldsValue({
                [val1[0]]: { [val1[1]]: { [val1[2]]: { [val1[3]]: MediaId, [val2]: Url } } }
            })
        } else {
            form.setFieldsValue({
                [val1[0]]: { [val1[1]]: { [val1[2]]: { [val1[3]]: "", [val2]: "" } } }
            })
        }
    }
    const getBusiness_pic = (arr) => {
        setForm(arr, ["contact_info", "business_authorization_letter"], ["contact_info", "business_authorization_letter_url"])
    }
    const getId_pic = (arr) => {
        setForm(arr, ["contact_info", "contact_id_doc_copy"], ["contact_info", "contact_id_doc_copy_url"])
    };
    const getId_back_pic = (arr) => {
        setForm(arr, ["contact_info", "contact_id_doc_copy_back"], ["contact_info", "contact_id_doc_copy_back_url"])
    };
    const getLicense_pic = (arr) => {
        setForm2(arr, ["subject_info", "business_license_info", "license_copy"],
            ["subject_info", "business_license_info", "license_copy_url"]
        )
    }
    const getId_doc_pic = (arr) => {
        setId_docForm(arr,
            ["subject_info", "identity_info", "id_doc_info", "id_doc_copy"],
            "id_doc_copy_url"
        )
    }
    const getId_doc_back_pic = (arr) => {
        setId_docForm(arr,
            ["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back"],
            "id_doc_copy_back_url"
        )
    }
    const setUbo_pic = (val, index, val1, val2) => {
        const fields = form.getFieldsValue();
        const { ubo_infos } = fields.subject_info;
        if (val.length > 0) {
            const [{ Url, MediaId }] = val;
            ubo_infos[index][val1] = MediaId;
            ubo_infos[index][val2] = Url;
            form.setFieldsValue({
                subject_info: { ubo_infos }
            })
        } else {
            ubo_infos[index][val1] = "";
            ubo_infos[index][val2] = "";
            form.setFieldsValue({
                subject_info: { ubo_infos }
            })
        }
    }
    const getUbo_pic = (arr, index) => {
        setUbo_pic(arr, index, "id_doc_copy", "id_doc_copy_url")
    }
    const getUbo_back_pic = (arr, index) => {
        setUbo_pic(arr, index, "id_doc_copy_back", "id_doc_copy_back_url")
    }
    const getTemplate = async (template_type) => {
        const { data } = await GetTemplate({ template_type });
        window.open(data.url);
    }
    const pattern = /^((?:19|20)\d\d)[-]?((((0[13578])|(1[02]))[-]?(([0-2][0-9])|(3[01])))|(((0[469])|(11))[-]?(([0-2][0-9])|(30)))|(02[-]?[0-2][0-9]))$/;
    const pattern2 = /^((?:19|20)\d\d)[-]?((((0[13578])|(1[02]))[-]?(([0-2][0-9])|(3[01])))|(((0[469])|(11))[-]?(([0-2][0-9])|(30)))|(02[-]?[0-2][0-9]))$|^\u957f\u671f$/;
    return (<>
        <Card extra={<Button type='primary' className='goBack' onClick={history.goBack}>返回</Button>}>
            <Form labelCol={{ span: 7 }} wrapperCol={{ span: 15 }} form={form}
                initialValues={{
                    subject_info: {
                        identity_info:
                            { authorize_letter_copy: "", authorize_letter_copy_url: "", id_holder_type: "LEGAL" }
                    },
                    bank_account_info: { bank_account_type: "BANK_ACCOUNT_TYPE_CORPORATE" }
                }}
            >
                {/* 超管员信息 */}
                <Row>
                    <div className={'form-block__title'}>超管员信息
                    </div>
                    <Col span={12}>
                        <Form.Item label='超管员类型' name={["contact_info", "contact_type"]} rules={[{ required: true, message: "请选择超管员类型" }]} >
                            <Select options={contact_type} placeholder="请选择超管员类型" onChange={(e) => {
                                setSuper_type(e);
                            }}
                                disabled={props.id ? true : false}
                            />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='超管员姓名' name={["contact_info", "contact_name"]} rules={[
                            {
                                required: true,
                                message: '请输入超管员姓名',
                            }
                        ]} >
                            <Input placeholder="请输入超管员姓名" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='联系手机号' name={["contact_info", "mobile_phone"]} rules={[
                            {
                                required: true,
                                message: '请输入手机号！',
                            },
                            {
                                pattern: /^((1[3,5,8,7,9][0-9])|(14[5,7])|(17[0,6,7,8])|(19[7]))\d{8}$/,
                                message: '手机号格式错误！',
                            },
                        ]}
                            extra={<span>审批后微信商户的各种操作验证码会发到该手机</span>}
                        >
                            <Input placeholder="请输入联系手机号" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='联系邮箱' name={["contact_info", "contact_email"]} rules={[
                            {
                                required: true,
                                message: '请输入邮箱',
                            },
                            {
                                pattern: /^[A-Za-z0-9\u4e00-\u9fa5]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/,
                                message: '邮箱格式错误！',
                            },
                        ]} >
                            <Input placeholder="请输入联系邮箱" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    {super_type == 'LEGAL' ? "" :
                        <>
                            <Col span={12}>
                                <Form.Item label='证件类型' name={["contact_info", "contact_id_doc_type"]}
                                    rules={[{ required: true, message: "请选择证件类型" }]} >
                                    <Select options={contact_id_doc_type} placeholder="请选择证件类型"
                                        disabled={props.id ? true : false} />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件号' name={["contact_info", "contact_id_number"]} rules={[
                                    {
                                        required: true,
                                        message: '请输入证件号！',
                                    },
                                    {
                                        validator(_, value) {
                                            if (checkID(value)) {
                                                return Promise.resolve();
                                            }
                                            return Promise.reject(new Error('证件格式有误'));
                                        },
                                    },
                                ]} >
                                    <Input placeholder="请输入证件号" disabled={props.id ? true : false} />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件开始时间' name={["contact_info", "contact_period_begin"]} rules={[
                                    {
                                        required: true,
                                        message: '请输入证件开始时间！',
                                    },
                                    {
                                        pattern,
                                        message: "请输入正确的格式"
                                    }
                                ]}
                                    extra={<span>yyyy-mm-dd格式</span>}
                                >
                                    <Input placeholder="请输入证件开始时间" disabled={props.id ? true : false} />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件结束时间' name={["contact_info", "contact_period_end"]} rules={[
                                    {
                                        required: true,
                                        message: '请输入证件结束时间！',
                                    },
                                    {
                                        pattern,
                                        message: "请输入正确的格式"
                                    }
                                ]}
                                    extra={<span>yyyy-mm-dd格式，若证件为长期则填长期</span>}
                                >
                                    <Input placeholder="请输入证件结束时间" disabled={props.id ? true : false} />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='授权函'
                                    name={["contact_info", "business_authorization_letter"]}
                                    rules={[
                                        {
                                            required: true,
                                            message: '请上传授权函',
                                        },
                                    ]}
                                    extra={<div>授权函所有信息需打印不支持手写,请先
                                        <span onClick={() => getTemplate(1)} style={{ color: "#03BB7A" }}>下载模板</span>
                                    </div>}
                                >
                                    <UploadFile getSrc={getBusiness_pic} src={business_pic} maxCount={1} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "business_authorization_letter_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件正面图片' name={["contact_info", "contact_id_doc_copy"]} rules={[
                                    {
                                        required: true,
                                        message: '请上传证件正面图片！',
                                    },
                                ]}
                                >
                                    <UploadFile getSrc={getId_pic} src={id_pic} maxCount={1} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "contact_id_doc_copy_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件反面图片' name={["contact_info", "contact_id_doc_copy_back"]} rules={[
                                    {
                                        required: true,
                                        message: '请上传证件反面图片！',
                                    },
                                ]}
                                >
                                    <UploadFile getSrc={getId_back_pic} src={id_back_pic} maxCount={1} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "contact_id_doc_copy_back_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                        </>
                    }
                </Row>


                {/* 营业资料 */}
                <Row>
                    <div className={'form-block__title'}>营业资料
                    </div>
                    <Col span={12}>
                        <Form.Item label='主体类型' name={["subject_info", "subject_type"]} rules={[{ required: true, message: "请选择主体类型" }]} >
                            <Select options={subject_type} placeholder="请选择主体类型" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='法人'
                            name={["subject_info", "business_license_info", "legal_person"]} rules={[{ required: true, message: "请输入法人" }]} >
                            <Input placeholder="请输入法人" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='商户名称'
                            name={["subject_info", "business_license_info", "merchant_name"]}
                            extra={<span>营业执照上的商户名称</span>}
                            rules={[{ required: true, message: "请输入商户名称" }]} >
                            <Input placeholder="请输入商户名称" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='注册地址'
                            name={["subject_info", "business_license_info", "license_address"]}
                            extra={<span>营业执照上的注册地址</span>}
                            rules={[{ required: true, message: "请输入注册地址" }]} >
                            <Input placeholder="请输入注册地址" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限开始时间'
                            name={["subject_info", "business_license_info", "period_begin"]}
                            extra={<span>yyyy-mm-dd格式</span>}
                            rules={[
                                {
                                    required: true, message: "请输入有效期限开始时间"
                                },
                                {
                                    pattern,
                                    message: "请输入正确的格式"
                                }]} >
                            <Input placeholder="请输入有效期限开始时间" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限结束时间'
                            name={["subject_info", "business_license_info", "period_end"]}
                            extra={<span>yyyy-mm-dd格式，如果是长期则填长期</span>}
                            rules={[
                                { required: true, message: "请输入有效期限结束时间" },
                                {
                                    pattern: pattern2,
                                    message: "请输入正确的格式"
                                }
                            ]} >
                            <Input placeholder="请输入有效期限结束时间" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='社会统一编码'
                            name={["subject_info", "business_license_info", "license_number"]}
                            extra={<span>营业执照上的注册号</span>}
                            rules={[{ required: true, message: "请输入社会统一编码" }]} >
                            <Input placeholder="请输入社会统一编码" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='营业执照图片'
                            name={["subject_info", "business_license_info", "license_copy"]}
                            rules={[
                                {
                                    required: true,
                                    message: '请上传营业执照图片！',
                                },
                            ]}
                        >
                            <UploadFile getSrc={getLicense_pic} src={license_pic} maxCount={1} />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "business_license_info", "license_copy_url"]} hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                    <Form.Item name={["subject_info", "identity_info", "authorize_letter_copy"]} hidden >
                        <Input />
                    </Form.Item>
                    <Form.Item name={["subject_info", "identity_info", "authorize_letter_copy_url"]} hidden >
                        <Input />
                    </Form.Item>
                    <Form.Item name={["subject_info", "identity_info", "id_holder_type"]} hidden >
                        <Input />
                    </Form.Item>
                </Row>


                {/* 法人身份证件信息 */}
                <Row>
                    <div className={'form-block__title'}>法人身份证件信息
                    </div>
                    <Col span={12}>
                        <Form.Item label='是否最终受益人' name={["subject_info", "identity_info", "owner"]}
                            rules={[{ required: true, message: "请选择" }]}
                            extra={<>
                                <div>若法人不是最终受益所有人，则需补充受益人信息，最多上传4个。</div>
                                <div>若法人是最终受益所有人之一，可添加其他受益人信息，最多上传3个。</div>
                            </>}
                        >
                            <Select options={owner_type} placeholder="请选择法人是否是最终受益人"
                                onChange={(e) => {
                                    setOwner(e)
                                    if (!e && ubo_infosNum == 2 || !e && ubo_infosNum == 4) {
                                        setUbo_infosNum(pre => (pre - 1))
                                    }
                                }} disabled={props.id ? true : false}
                            />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件类型'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_type"]}
                            rules={[{ required: true, message: "请选择证件类型" }]} >
                            <Select options={contact_id_doc_type} placeholder="请选择证件类型"
                                onChange={(e) => {
                                    setId_doc_type(e);
                                }} disabled={props.id ? true : false}
                            />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件姓名'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_name"]}
                            rules={[{ required: true, message: "请选择证件姓名" }]} >
                            <Input placeholder="请输入证件姓名" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件号码'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_number"]}
                            rules={[{ required: true, message: "请输入证件号码" },
                            {
                                validator(_, value) {
                                    if (checkID(value)) {
                                        return Promise.resolve();
                                    }
                                    return Promise.reject(new Error('证件格式有误'));
                                },
                            },
                            ]} >
                            <Input placeholder="请输入证件号码" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件地址'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_address"]}
                            rules={[{ required: true, message: "请选择证件地址" }]} >
                            <Input placeholder="请输入证件地址" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限开始时间'
                            name={["subject_info", "identity_info", "id_doc_info", "doc_period_begin"]}
                            extra={<span>yyyy-mm-dd格式</span>}
                            rules={[
                                {
                                    required: true, message: "请输入有效期限开始时间"
                                },
                                {
                                    pattern,
                                    message: "请输入正确的格式"
                                }]} >
                            <Input placeholder="请输入有效期限开始时间" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    {id_doc_type == "IDENTIFICATION_TYPE_OVERSEA_PASSPORT" ? null :
                        <Col span={12}>
                            <Form.Item label='有效期限结束时间'
                                name={["subject_info", "identity_info", "id_doc_info", "doc_period_end"]}
                                extra={<span>yyyy-mm-dd格式，如果是长期则填长期</span>}
                                rules={[
                                    { required: true, message: "请输入有效期限结束时间" },
                                    {
                                        pattern: pattern2,
                                        message: "请输入正确的格式"
                                    }
                                ]} >
                                <Input placeholder="请输入有效期限结束时间" disabled={props.id ? true : false} />
                            </Form.Item>
                        </Col>
                    }
                    <Col span={12}>
                        <Form.Item label='证件正面图片'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy"]}
                            rules={[
                                {
                                    required: true,
                                    message: '请上传证件正面图片！',
                                },
                            ]}
                        >
                            <UploadFile getSrc={getId_doc_pic} src={id_doc_pic} maxCount={1} />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_url"]}
                            hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件反面图片'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back"]}
                            rules={[
                                {
                                    required: true,
                                    message: '请上传证件反面图片！',
                                },
                            ]}
                        >
                            <UploadFile getSrc={getId_doc_back_pic} src={id_doc_back_pic} maxCount={1} />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back_url"]}
                            hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                </Row>


                {/* 收益人身份证件信息 */}
                <Form.List name={["subject_info", "ubo_infos"]}
                    initialValue={[{}]}
                >
                    {(fields, { add, remove }) => (
                        <>
                            {fields.map(({ key, name, ...restField }) => {
                                return <Row key={key}>
                                    <div className={'form-block__title'}
                                        style={{ display: 'flex', justifyContent: "space-between" }}
                                    >
                                        <span>受益人身份证件信息</span>
                                        {!owner && name == 0 ? null : <Button type="link" onClick={() => {
                                            remove(name);
                                            setUbo_infosNum(pre => pre - 1)
                                        }}>移除受益人</Button>}
                                    </div>
                                    <Col span={12}>
                                        <Form.Item label='证件姓名'
                                            name={[name, "id_doc_name"]}
                                            rules={[{ required: true, message: "请选择证件姓名" }]} >
                                            <Input placeholder="请输入证件姓名" disabled={props.id ? true : false} />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件类型'
                                            name={[name, "id_doc_type"]}
                                            rules={[{ required: true, message: "请选择证件类型" }]} >
                                            <Select options={contact_id_doc_type} placeholder="请选择证件类型"
                                                onChange={(e) => {
                                                    setId_doc_type(e);
                                                }} disabled={props.id ? true : false}
                                            />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件号码'
                                            name={[name, "id_doc_number"]}
                                            rules={[{ required: true, message: "请输入证件号码" },
                                            {
                                                validator(_, value) {
                                                    if (checkID(value)) {
                                                        return Promise.resolve();
                                                    }
                                                    return Promise.reject(new Error('证件格式有误'));
                                                },
                                            },
                                            ]} >
                                            <Input placeholder="请输入证件号码" disabled={props.id ? true : false} />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件地址'
                                            name={[name, "id_doc_address"]}
                                            rules={[{ required: true, message: "请选择证件地址" }]} >
                                            <Input placeholder="请输入证件地址" disabled={props.id ? true : false} />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='有效期限开始时间'
                                            name={[name, "doc_period_begin"]}
                                            extra={<span>yyyy-mm-dd格式</span>}
                                            rules={[
                                                {
                                                    required: true, message: "请输入有效期限开始时间"
                                                },
                                                {
                                                    pattern,
                                                    message: "请输入正确的格式"
                                                }]} >
                                            <Input placeholder="请输入有效期限开始时间" disabled={props.id ? true : false} />
                                        </Form.Item>
                                    </Col>

                                    <Col span={12}>
                                        <Form.Item label='有效期限结束时间'
                                            name={[name, "doc_period_end"]}
                                            extra={<span>yyyy-mm-dd格式，如果是长期则填长期</span>}
                                            rules={[
                                                { required: true, message: "请输入有效期限结束时间" },
                                                {
                                                    pattern: pattern2,
                                                    message: "请输入正确的格式"
                                                }
                                            ]} >
                                            <Input placeholder="请输入有效期限结束时间" disabled={props.id ? true : false} />
                                        </Form.Item>
                                    </Col>

                                    <Col span={12}>
                                        <Form.Item label='证件正面图片'
                                            name={[name, "id_doc_copy"]}
                                            rules={[
                                                {
                                                    required: true,
                                                    message: '请上传证件正面图片！',
                                                },
                                            ]}
                                        >
                                            <UploadFile getSrc={getUbo_pic} index={name} src={id_doc_picArr[name]} maxCount={1} />
                                        </Form.Item>
                                        <Form.Item
                                            name={[name, "id_doc_copy_url"]}
                                            hidden >
                                            <Input />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件反面图片'
                                            name={[name, "id_doc_copy_back"]}
                                            rules={[
                                                {
                                                    required: true,
                                                    message: '请上传证件反面图片！',
                                                },
                                            ]}
                                        >
                                            <UploadFile getSrc={getUbo_back_pic} index={name} src={id_doc_pic_backArr[name]} maxCount={1} />
                                        </Form.Item>
                                        <Form.Item
                                            name={[name, "id_doc_copy_back_url"]}
                                            hidden >
                                            <Input />
                                        </Form.Item>
                                    </Col>
                                </Row>
                            })}
                            {ubo_infosNum < 4 ?
                                <Row>
                                    <div className={'form-block__title'}><Button type="primary" onClick={() => {
                                        add();
                                        setUbo_infosNum(ubo_infosNum + 1)
                                    }}>添加
                                    </Button>收益人身份信息</div>
                                </Row> : null}
                        </>
                    )}
                </Form.List>


                {/* 银行账户信息 */}
                <Row>
                    <div className={'form-block__title'}>银行账户信息
                    </div>
                    <Col span={12}>
                        <Form.Item label="银行名称" name={["bank_account_info", "account_bank"]}
                            rules={[{ required: true, message: "请选择银行名称" }]}
                        >
                            <Select options={BankSelect} placeholder="请选择银行" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户姓名" name={["bank_account_info", "account_name"]}
                            rules={[{ required: true, message: "请输入开户姓名" }]}
                            extra={<span>开户名称必须与营业执照/登记证书的“商户名称”一致</span>}
                        >
                            <Input placeholder="请输入开户姓名" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="银行账号" name={["bank_account_info", "account_number"]}
                            rules={[{ required: true, message: "请输入银行账户" }]}
                        >
                            <Input placeholder="请输入银行账号" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Form.Item label="银行账号" name={["bank_account_info", "bank_account_type"]}
                        hidden
                    >
                        <Input placeholder="请输入银行账号" />
                    </Form.Item>
                    <Col span={12}>
                        <Form.Item label="开户银行全称"
                            name={["bank_account_info", "bank_name"]}
                            rules={[{ required: true, message: "请输入开户银行全称" }]}
                            extra={<span>含支行 示例值：中国银行股份有限公司成都鹭洲里支行</span>}
                        >
                            <Input placeholder="请输入开户银行全称" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户银行省市编码"
                            name={["bank_account_info", "bank_address_code"]}
                            rules={[{ required: true, message: "请输入开户银行省市编码" }]}
                            extra={
                                <div>请
                                    <span onClick={() => getTemplate(2)} style={{ color: "#03BB7A" }}>下载模板</span>
                                    比对
                                </div>}
                        >
                            <Input placeholder="请输入开户银行省市编码" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户银行编码"
                            name={["bank_account_info", "bank_branch_id"]}
                            rules={[{ required: true, message: "请输入开户银行编码" }]}
                            extra={
                                <div>请
                                    <span onClick={() => getTemplate(3)} style={{ color: "#03BB7A" }}>下载模板</span>
                                    比对
                                </div>}
                        >
                            <Input placeholder="请输入开户银行编码" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                </Row>


                {/* 经营信息 */}
                <Row>
                    <div className={'form-block__title'}>经营信息
                    </div>
                    <Col span={12}>
                        <Form.Item label="商户简称"
                            name={["business_info", "merchant_shortname"]}
                            rules={[{ required: true, message: "请输入商户简称" }]}
                            extra={<>
                                <div>1、请输入2-30个字符，支持中文/字母/数字/特殊符号</div>
                                <div>2、在支付完成页向买家展示，需与微信经营类目相关；</div>
                                <div>3、简称要求
                                    （1）不支持单纯以人名来命名
                                    （2）不支持无实际意义的文案，如“XX特约商户”、“800”、“XX客服电话XXX”；
                                </div>
                            </>}
                        >
                            <Input placeholder="请输入商户简称" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="客服电话"
                            name={["business_info", "service_phone"]}
                            rules={[{ required: true, message: "请输入客服电话" }]}
                        >
                            <Input placeholder="请输入客服电话" disabled={props.id ? true : false} />
                        </Form.Item>
                    </Col>
                </Row>
            </Form>
            {
                props.id ? null :
                    <div style={{ display: "flex", justifyContent: "end" }}>
                        <Button type="primary" onClick={onSubmit}>确定</Button>
                    </div>
            }
        </Card>
    </>)
}

export default Add_WX_account