import React, { Component } from 'react'
import { Modal, Input,Button, } from 'antd'
import { Map, Marker, InfoWindow } from 'react-amap'
import { SearchOutlined } from '@ant-design/icons';
import { ZoomCtrl2 } from './myMap';

const mapKey = '42c177c66c03437400aa9560dad5451e'

class Address extends Component {
    constructor(props) {
        super(props)
        if(props.state){
            this.state = {
                signAddrList: {
                    name: '',
                    addr: '',
                    longitude: props.state.lnt,
                    latitude: props.state.lat
                },
                city:props.state.city,
                geocoder: '',
                searchContent: '',
                isChose: false,
            }
        }else{
            this.state = {
                signAddrList: {
                    name: '',
                    addr: '',
                    longitude: 0,
                    latitude: 0
                },
                geocoder: '',
                searchContent: '',
                isChose: false,
            }
        }
    }

    //改变数据通用方法(单层)

    changeData = (value, key) => {
        let { signAddrList } = this.state
        signAddrList[key] = value
        this.setState({
            signAddrList: signAddrList
        })
    }

    placeSearch = (e) => {
        this.setState({ searchContent: e })
    }

    searchPlace = (e) => {
       console.log(this.props);
    }



    componentDidMount() {

    }

    render() {
        let { signAddrList,city } = this.state
        const selectAddress = {
            created: (e) => {
                let auto
                let geocoder
               if(this.props.state){
                   e.setCenter([this.props.state.lnt,this.props.state.lat])
               }
                // eslint-disable-next-line no-undef
                window.AMap.plugin('AMap.Autocomplete', () => {
                   if(city){
                    auto = new window.AMap.Autocomplete({ input: 'tipinput',city});
                   }else{
                    auto = new window.AMap.Autocomplete({ input: 'tipinput'});
                   }
                })
                // eslint-disable-next-line no-undef
                window.AMap.plugin(["AMap.Geocoder"], function () {
                    // eslint-disable-next-line no-undef
                    geocoder = new AMap.Geocoder({
                        radius: 1000, //以已知坐标为中心点，radius为半径，返回范围内兴趣点和道路信息
                        extensions: "all"//返回地址描述以及附近兴趣点和道路信息，默认"base"
                    });
                });
                // eslint-disable-next-line no-undef
                window.AMap.plugin('AMap.PlaceSearch', () => {
                    let place 
                     if(city){
                      place =  new window.AMap.PlaceSearch({
                            city,
                            citylimit:true
                        })
                     }else{
                      place =   new window.AMap.PlaceSearch({
                        })
                     }
                    let _this = this
                    // eslint-disable-next-line no-undef
                    window.AMap.event.addListener(auto, "select", (e) => {
                        place.search(e.poi.name)
                        geocoder.getAddress(e.poi.location, function (status, result) {
                            if (status === 'complete' && result.regeocode) {
                                let address = result.regeocode.formattedAddress;
                                let data = result.regeocode.addressComponent
                                let name = data.township + data.street + data.streetNumber
                                _this.changeData(address, 'addr')
                                _this.changeData(name, 'name')
                                _this.changeData(e.poi.location.lng, 'longitude')
                                _this.changeData(e.poi.location.lat, 'latitude')
                                _this.setState({ isChose: true })
                                _this.setState({ searchContent: e.poi.name })
                                _this.props.getValue(signAddrList)
                            }
                        })
                    })
                });
            },
            click: (e) => {
                const _this = this
                var geocoder
                var infoWindow
                // eslint-disable-next-line no-undef
                var lnglatXY = new AMap.LngLat(e.lnglat.lng, e.lnglat.lat);
                let content = '<div>定位中....</div>'
                // eslint-disable-next-line no-undef
                window.AMap.plugin(["AMap.Geocoder"], function () {
                    // eslint-disable-next-line no-undef
                    geocoder = new AMap.Geocoder({
                        radius: 1000, //以已知坐标为中心点，radius为半径，返回范围内兴趣点和道路信息
                        extensions: "all"//返回地址描述以及附近兴趣点和道路信息，默认"base"
                    });
                    geocoder.getAddress(e.lnglat, function (status, result) {
                        if (status === 'complete' && result.regeocode) {
                            let address = result.regeocode.formattedAddress;
                            let data = result.regeocode.addressComponent
                            let name = data.township + data.street + data.streetNumber
                            _this.changeData(address, 'addr')
                            _this.changeData(name, 'name')
                            _this.changeData(e.lnglat.lng, 'longitude')
                            _this.changeData(e.lnglat.lat, 'latitude')
                            _this.setState({ isChose: true })
                            _this.props.getValue(signAddrList)
                        }
                    })
                });

            }
        }
        return (
            <div style={{position:"relative"}}>
                <div style={{position:"absolute",top:"0",width:"300px",zIndex:"100"}}>
                        <Input id='tipinput'
                        allowClear
                        placeholder='请查找你的小区'
                        value={this.state.searchContent}
                        suffix={<SearchOutlined onClick={()=>this.searchPlace()} />}
                         onChange={(e) => this.placeSearch(e.target.value)}
                        />
                </div>
                <div style={{ width: "500px", height: "500px" }} id="content" >
                    {
                        this.state.isChose ? <Map amapkey={mapKey}
                            plugins={["ToolBar", 'Scale']}
                            events={selectAddress}
                            center={[signAddrList.longitude, signAddrList.latitude]}
                            zoom={15}>
                            <Marker position={[signAddrList.longitude, signAddrList.latitude]} />
                            <ZoomCtrl2 />
                        </Map> : <Map amapkey={mapKey}
                            plugins={["ToolBar", 'Scale']}
                            events={selectAddress}
                            zoom={15}>
                            <Marker position={[signAddrList.longitude, signAddrList.latitude]} />
                            <ZoomCtrl2  />
                        </Map>
                    }
                </div>
            </div>
        )
    }
}

export default Address
