import React from "react";
import { Button } from "antd";
import ProTable from "@ant-design/pro-table";
import type { ActionType } from '@ant-design/pro-table'
import { Garden_keyinfo } from "../../services/garden";

 const  KeyInfo = () =>{
    const columns: any = [
        {
            title: "小区名称",
            dataIndex: "garden_name",
            search: false,
        },
        {
            title: "字段名",
            dataIndex: 'field_name',
            search: false,
            render: (_, row) => row.list.map((item,index) => {
                return <span style={{ display: 'block' }} key={index}>{item.field_name}</span>
            })
        },
        {
            title: "修改前",
            dataIndex: "field_value_src",
            search: false,
            render: (_, row) => row.list.map((item,index) => {
                return <span style={{ display: 'block' }} key={index}>{item.field_value_src}</span>
            })
        },
        {
            title: "修改后",
            dataIndex: 'field_value_dst',
            search: false,
            render: (_, row) => row.list.map((item,index) => {
                return <span style={{ display: 'block' }} key={index}>{item.field_value_dst}</span>
            })
        },
        {
            title: "状态",
            dataIndex: "status",
            search: true,
            valueType: 'select',
            valueEnum: {
                0: { text: '所有', status: 'Default' },
                1: { text: '待审核', status: 'Processing' },
                2: { text: '通过', status: 'Success', },
                3: { text: '未通过', status: 'Error' },
            }
        },
        {
            title: "操作",
            dataIndex: "option",
            search: false,
            align: "center",
            render: (_, row) => <>
                <Button type="link">修改</Button>
            </>
        }
    ]
    const actionRef = React.useRef<ActionType>();
    return (<>
   <ProTable
            actionRef={actionRef}
            rowKey="id"
            options={false}
            request={Garden_keyinfo}
            columns={columns}
        />
    </>)
}

export default KeyInfo