import { Map,Marker } from 'react-amap';
import React,{useEffect,useState} from 'react';
import { Button } from 'antd';

export const ZoomCtrl:any = (props) => {
    const city = props.adcode
    const map = props.__map__;
    if (!map) {
        console.log('组件必须作为 Map 的子组件使用');
        return;
    }
    const style:any = {
        position: 'absolute',
        right: '0',
        bottom: '0',
        background: '#fff',
    }
    const setCity = (city) => map.setCity(city);
    return (<div style={style}>
        <Button onClick={()=>{
            setCity(city)
        }}>点击回到所选区域</Button>
    </div>);
};

export const ZoomCtrl2:any = (props) => {
    const map = props.__map__;
    const {lng,lat} = map.getCenter();
    if (!map) {
        console.log('组件必须作为 Map 的子组件使用');
        return;
    }
    const style:any = {
        position: 'absolute',
        right: '0',
        bottom: '0',
        background: '#fff',
    }
    const setCenter = (LngLat) => map.setCenter(LngLat);
    return (<div style={style}>
        <Button onClick={()=>{
           setCenter([lng,lat])
        }}>点击回到所选区域</Button>
    </div>);
};

const MapElement =(props)=> {
    useEffect(() => {
        if (props.lnglat) {
            const { lnt, lat } = props.lnglat
            setMapCenter({ longitude: lnt, latitude: lat })
            setMarkerPositiom({ longitude: lnt, latitude: lat })
        }
    }, [])
    const [mapCenter, setMapCenter]: any = useState({})
    const [markerPosition, setMarkerPositiom]: any = useState({})
    //const mapKey = '0b397982744b3d2fe42799eba87f44c2'
    const events = {
        created: (instance) => {
        },
        click: (e) => {
            const lnt = e.lnglat.lng
            const lat = e.lnglat.lat
            setMarkerPositiom({ longitude: lnt, latitude: lat })
            props.location({ lnt, lat })
        }
    }
        return <div>
        <div style={{ width: '100%', height: 400 }}>
            {
                props.lnglat ? <Map
                    events={events}
                    center={mapCenter}
                    plugins={['ToolBar']}
                    zoom={15}
                >
                    <Marker position={markerPosition} />
                </Map> : <><Map
                        events={events}
                        plugins={['ToolBar']}
                        zoom={15}
                    >
                        <Marker position={markerPosition} />
                        <ZoomCtrl adcode={props.adcode}/>
                    </Map></>
            }
        </div>
    </div>
}
export default MapElement