import { Button } from "antd";
import React, { useEffect, useState } from "react";
import { Link } from "react-router-dom";
import { Package } from "../../services/package";
import "./package.scss"

const PackageList = () => {
    const [pakageList, SetPackageList]: any = useState({
        data: []
    });
    const getPackageList = async () => {
        const { data } = await Package();
        SetPackageList(pre => ({ ...pre, data }))
    }
    useEffect(() => {
        getPackageList()
    }, [])
    return (<>
        <div className="packageList">
            {pakageList.data.map(item => {
                return <div key={item.id} className="package">
                    <div className="package_header">
                        <div className="package_name" data-value={item.name}
                        // onMouseOver={(e)=>{
                        //    var box = document.getElementsByClassName("package_name")
                        //     const str:any = e.currentTarget.getAttribute("data-value");
                        //    console.log(str);
                        //    console.log(e);

                        //    console.log(box[0].clientWidth);
                        //    var len = 0;  
                        //    for (var i=0; i<str.length; i++) {  
                        //      if (str.charCodeAt(i)>127 || str.charCodeAt(i)==94) {  
                        //         len += 2;  
                        //       } else {  
                        //         len ++;  
                        //       }  
                        //     }  
                        //     console.log(len);

                        // }}
                        >{item.name}</div>
                        <div className="application_desc_content">{item.desc}</div>
                    </div>
                    <div className="package_application">
                        <div className="package_application_name">
                            {item.application_names.map((name, index) => {
                                return <span key={index}>{name}</span>
                            })}
                        </div>
                        <div className="package_application_name">
                            {item.application_names.map((name, index) => {
                                return <span key={name}>√</span>
                            })}
                        </div>
                    </div>
                    <div className="package_footer">
                        <div>{(item.price / 100).toFixed(2)}/年</div>
                        <div>房间数：{item.house_count}间</div>
                        <Link to={{ pathname: "/admin/package/package/buy", state: item }}>
                            <Button type="primary">购买</Button>
                        </Link>
                    </div>
                </div>
            })}
        </div>
    </>)
}

export default PackageList