import React from "react";
import sha256 from 'sha256'
import { Button, Card, Form, Input, message } from "antd";
import { Change_password } from "../../services/user";
import './index.scss'

const EditPassword = () => {
    const [form] = Form.useForm()
    const change_password = () => {
        form.validateFields().then(async (value) => { 
            console.log(value);
            const {old_password,new_password} =value
            await Change_password({old_password:sha256(old_password),new_password:sha256(new_password)})
            message.success('修改成功,请重新登录')
            window.sessionStorage.clear();
            window.location.href = "/login";
        })
    }
    return (<>
        <Card>
            <Form
                labelCol={{ span: 4, offset: 6 }}
                labelAlign='left'
                wrapperCol={{ span: 6 }}
                validateTrigger='onBlur'
                form={form}
            >
                <Form.Item label='旧密码' name='old_password' rules={[{ required: true, message: "请输入旧密码" }]}>
                    <Input placeholder="请输入旧密码"></Input>
                </Form.Item>
                <Form.Item label='新的登录密码' name='new_password'
                    rules={[
                        { required: true, message: '请输入新密码' },
                        { pattern: /^[a-zA-Z]\w{5,17}$/, message: '密码格式错误' }
                    ]}
                    hasFeedback
                >
                    <Input.Password visibilityToggle={false}></Input.Password>
                </Form.Item>
                <Form.Item label='确认新的登录密码' name='confirm'
                    dependencies={['new_password']}
                    hasFeedback
                    rules={[
                        {
                            required: true,
                            message: '请再次输入新密码!',
                        },
                        ({ getFieldValue }) => ({
                            validator(_, value) {
                                if (!value || getFieldValue('new_password') === value) {
                                    return Promise.resolve();
                                }
                                return Promise.reject(new Error('两次密码输入不一致，请重新输入'));
                            },
                        }),
                    ]}
                >
                    <Input.Password visibilityToggle={false}></Input.Password>
                </Form.Item>
                <div className="tips">
                    <span className="warning">密码由8-16位数字、字母或符号组成</span>
                    <span className="warning">至少含两种字符以上</span>
                </div>
                <div className="editOk">
                    <Button type="primary" onClick={change_password}>确认修改</Button>
                </div>
            </Form>
        </Card>
    </>)
}

export default EditPassword